# $Id: e-smith-horde.spec,v 1.22 2010/05/11 04:07:35 mrjhb3 Exp $

Summary: e-smith specific Horde configuration and templates.
%define name smeserver-horde
Name: %{name}
%define version 1.0.0
%define release 4
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
#Patch1: e-smith-horde-4.8.0_renumber_database_creation.order.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base >= 4.9.44, php-horde-horde >= 5.2, mariadb
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no
Obsoletes: horde-h3, e-smith-horde, imp-h3, e-smith-imp
Obsoletes: ingo-h3, e-smith-ingo, turba-h3, e-smith-turba
Obsoletes: kronolith-h3, smeserver-kronolith, nag-h3, smeserver-nag
Obsoletes: mnemo-h3, smeserver-mnemo
Requires: php-horde-content, php-horde-imp, php-horde-ingo, php-horde-kronolith 
Requires: php-horde-mnemo, php-horde-nag, php-horde-turba
# optional functions we provide
Requires: php-horde-Horde-ActiveSync
Requires: php-horde-Horde-Service-Facebook
Requires: php-horde-Horde-Service-Twitter
Requires: php-pear-Date-Holidays-Australia, php-pear-Date-Holidays-Denmark 
Requires: php-pear-Date-Holidays-Germany, php-pear-Date-Holidays-Italy 
Requires: php-pear-Date-Holidays-Netherlands, php-pear-Date-Holidays-Norway
Requires: php-pear-Date-Holidays-Portugal, php-pear-Date-Holidays-Russia
Requires: php-pear-Date-Holidays-Slovenia, php-pear-Date-Holidays-Sweden
Requires: php-pear-Date-Holidays-France, php-pear-Date-Holidays-Turkey 
Requires: php-horde-Horde-Text-Filter-Csstidy
Requires: timeobjects
# maybe not required, but JHB used to have them in previous installs
Requires: php-pear-Auth-SASL2
Requires: php-pear-Cache-Lite
Requires: php-pear-Console-GetoptPlus
Requires: php-pear-Crypt-Blowfish
Requires: php-pear-File-CSV
Requires: php-pear-File-Util
Requires: php-pear-HTTP
Requires: php-pear-HTTP-Request2
Requires: php-pear-HTTP_WebDAV_Server
Requires: php-pear-Log
Requires: php-pear-MDB2
Requires: php-pear-Net-URL2
Requires: php-pear-XML-Parser2
Requires: php-pear-XML-RPC2

%changelog
* Sun Jul 24 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-4.sme
- added last optionals dependencies [SME: 9645]
- added France Holidays.

* Wed Jul 06 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-3.sme
- added Requires for pear Dates  [SME: 9645]
- Activesync, timeobjects, Facebook. Twitter, Text-Filter

* Wed Jul 06 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-2.sme
- add main Required packages php-horde-* [SME: 9645]

* Sun Jun 19 2016 John H. Bennett III <bennettj@johnbennettservices.com> 1.0.0-1
- First released build for SME10 

%description
This package adds necessary templates and configuration items
for Horde, Imp, Ingo, Kronolith, Mnemo, Nag and Turba
to work on SME Server 10

%prep
%setup

#%patch1 -p1

%build
for i in post-install post-upgrade
do
    mkdir -p root/etc/e-smith/events/$i
done
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
%preun
%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
